# @nativescript/flutter

```javascript
npm install @nativescript/flutter
```

## Usage

1. Configure platforms for usage

- iOS: `App_Resources/iOS/Podfile` should contain the following to reference your Flutter module.

This assumes a Flutter module in a folder called `flutter_views` exists at root of your NativeScript project.

```ruby
platform :ios, '14.0'

flutter_application_path = '../../flutter_views'
load File.join(flutter_application_path, '.ios', 'Flutter', 'podhelper.rb')
install_all_flutter_pods(flutter_application_path)

post_install do |installer|
    flutter_post_install(installer) if defined?(flutter_post_install)
end
```

2. Configure your Dart code to have named entry points as follows:

- `main.dart`

```ts
@pragma('vm:entry-point')
void myFlutterView() => runApp(const MyFlutterView());
```

3. Use Flutter anywhere you'd like identified by it's entry point

```xml
<Flutter id="myFlutterView"></Flutter>
```

## License

Apache License Version 2.0
